package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.EducationalPortrait;
import com.lightinit.hsdatashow.entity.EducationalPortraitExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.GroupNameAndValueModel;
import org.apache.ibatis.annotations.Param;

public interface EducationalPortraitMapper {
    long countByExample(EducationalPortraitExample example);

    int deleteByExample(EducationalPortraitExample example);

    int deleteByPrimaryKey(Long id);

    int insert(EducationalPortrait record);

    int insertSelective(EducationalPortrait record);

    List<EducationalPortrait> selectByExample(EducationalPortraitExample example);

    EducationalPortrait selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") EducationalPortrait record, @Param("example") EducationalPortraitExample example);

    int updateByExample(@Param("record") EducationalPortrait record, @Param("example") EducationalPortraitExample example);

    int updateByPrimaryKeySelective(EducationalPortrait record);

    int updateByPrimaryKey(EducationalPortrait record);

    List<EducationalPortrait> selectList();
}